Ticket #13329: 13329_sage_root.patch

File 13329_sage_root.patch, 1.3 KB (added by jdemeyer, 9 years ago)

Apply to SAGE_ROOT

  • (a) a/spkg/base/prereq-1.0-install vs. (b) b/spkg/base/prereq-1.1-install

    # HG changeset patch
    # User Jeroen Demeyer <jdemeyer@cage.ugent.be>
    # Date 1343988508 -7200
    # Node ID 8b0554bbb2d4a1f666745a88998e353bc23a20a9
    # Parent  7d6bc062d0327c007fbb0ae52e849c0b725deba8
    Update to prereq-1.1, ignore configure result if SAGE_PORT is set
    
    diff --git a/spkg/base/prereq-1.0-install b/spkg/base/prereq-1.1-install
    rename from spkg/base/prereq-1.0-install
    rename to spkg/base/prereq-1.1-install
    a b  
    44###########################################
    55
    66
    7 TARGET=prereq-1.0
     7TARGET=prereq-1.1
    88if [ "x$SAGE_BUILD_DIR" = x ]; then
    99    SAGE_BUILD_DIR="$SAGE_ROOT/spkg/build"
    1010fi
     
    149149   
    150150    if [ $? -ne 0 ]; then
    151151        echo >&2 "You do not have all of the prerequisites needed to build Sage"
    152         echo >&2 "from source.  See the errors above."
    153         exit 1
     152        echo >&2 "from source. See the errors above."
     153        if [ "x$SAGE_PORT" = x ]; then
     154            echo >&2 "If you would like to try the build anyway (to help porting)"
     155            echo >&2 "export the variable 'SAGE_PORT' to something non-empty."
     156            exit 1
     157        else
     158            echo >&2 "However, since 'SAGE_PORT' is set, we will try to build anyway."
     159        fi
    154160    fi
    155161else
    156162    echo >&2 "The file '$prereq_tarball' does not exist."